Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class ModelMBeanAttributeInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo
            |
            +--javax.management.MBeanAttributeInfo
                  |
                  +--javax.management.modelmbean.ModelMBeanAttributeInfo

All Implemented Interfaces:
  java.lang.Cloneable, DescriptorAccess, java.io.Serializable

public class ModelMBeanAttributeInfo
extends MBeanAttributeInfo
implements DescriptorAccess, java.lang.Cloneable

The ModelMBeanAttributeInfo object describes an attribute of the ModelMBean. It is a subclass of MBeanAttributeInfo with the addition of an associated Descriptor and an implementation of the DescriptorAccess interface.

The fields in the descriptor are defined, but not limited to, the following:

     name           : attribute name
     descriptorType : must be "attribute"
     value          : current value for attribute
     default        : default value for attribute
     displayName    : name of attribute to be used in displays
     getMethod      : name of operation descriptor for get method
     setMethod      : name of operation descriptor for set method
     protocolMap    : object which implements the ProtocolMap interface: map of protocol names and protocol hints
     persistPolicy  : Update|OnTime|NoMoreOftenThan|Always|Never
     persistPeriod  : seconds - frequency of persist cycle. Used when persistPolicy is"OnTime" or "NoMoreOftenThan".
     currencyTimeLimit : how long value is valid, <0 never, =0 always, >0 seconds
     lastUpdatedTimeStamp : when value was set
     iterable       : T - object value supports Iterable interface, F - does not support Iterable interface
     visibility     : 1-4 where 1: always visible 4: rarely visible
     presentationString : xml formatted string to allow presentation of data

The default descriptor contains the name and descriptorType fields.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModelMBeanAttributeInfo(ModelMBeanAttributeInfo attributeInfo)` Constructs a new ModelMBeanAttributeInfo object from this ModelMBeanAttributeInfo Object.
`ModelMBeanAttributeInfo(java.lang.String name, java.lang.String description, java.lang.reflect.Method getter, java.lang.reflect.Method setter)` Constructs a ModelMBeanAttributeInfo object with a default descriptor.
`ModelMBeanAttributeInfo(java.lang.String name, java.lang.String description, java.lang.reflect.Method getter, java.lang.reflect.Method setter, Descriptor descriptor)` Constructs a ModelMBeanAttributeInfo object.
`ModelMBeanAttributeInfo(java.lang.String name, java.lang.String type, java.lang.String description, boolean isReadable, boolean isWritable, boolean isIs)` Constructs a ModelMBeanAttributeInfo object with a default descriptor.
`ModelMBeanAttributeInfo(java.lang.String name, java.lang.String type, java.lang.String description, boolean isReadable, boolean isWritable, boolean isIs, Descriptor descriptor)` Constructs a ModelMBeanAttributeInfo object with a default descriptor.

Method Summary
`java.lang.Object` | `clone()` Creates and returns a new ModelMBeanAttributeInfo which is a duplicate of this ModelMBeanAttributeInfo.
`Descriptor` | `getDescriptor()` Gets a copy of the associated Descriptor for the ModelMBeanAttributeInfo
`void` | `setDescriptor(Descriptor descriptor)` Sets associated Descriptor (full replace) for the ModelMBeanAttributeDescriptor.
`java.lang.String` | `toString()` Returns a human readable version of the ModelMBeanAttributeInfo instance

Methods inherited from class javax.management.MBeanAttributeInfo
`getType, isIs, isReadable, isWritable`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanAttributeInfo

    public ModelMBeanAttributeInfo(java.lang.String name,
                                   java.lang.String description,
                                   java.lang.reflect.Method getter,
                                   java.lang.reflect.Method setter)
                            throws IntrospectionException

  Constructs a ModelMBeanAttributeInfo object with a default descriptor.

Parameters:
  `name` - The name of the attribute.
  `description` - A human readable description of the attribute. Optional.
  `getter` - The method used for reading the attribute value. May be null if the property is write-only.
  `setter` - The method used for writing the attribute value. May be null if the attribute is read-only.
Throws:
  `IntrospectionException` - There is a consistency problem in the definition of this attribute. The descriptor must be set before this ModelMBeanAttributeInfo instance can be used.

### ModelMBeanAttributeInfo

    public ModelMBeanAttributeInfo(java.lang.String name,
                                   java.lang.String description,
                                   java.lang.reflect.Method getter,
                                   java.lang.reflect.Method setter,
                                   Descriptor descriptor)
                            throws IntrospectionException

  Constructs a ModelMBeanAttributeInfo object.

Parameters:
  `name` - The name of the attribute.
  `description` - A human readable description of the attribute. Optional.
  `getter` - The method used for reading the attribute value. May be null if the property is write-only.
  `setter` - The method used for writing the attribute value. May be null if the attribute is read-only.
  `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the Attribute. If it is null or invalid then a default desriptor will be created.
Throws:
  `IntrospectionException` - There is a consistency problem in the definition of this attribute. The descriptor must be set before this ModelMBeanAttributeInfo instance can be used.

### ModelMBeanAttributeInfo

    public ModelMBeanAttributeInfo(java.lang.String name,
                                   java.lang.String type,
                                   java.lang.String description,
                                   boolean isReadable,
                                   boolean isWritable,
                                   boolean isIs)

  Constructs a ModelMBeanAttributeInfo object with a default descriptor.

Parameters:
  `name` - The name of the attribute
  `type` - The type or class name of the attribute
  `description` - A human readable description of the attribute.
  `isReadable` - True if the attribute has a getter method, false otherwise.
  `isWritable` - True if the attribute has a setter method, false otherwise.
  `isIs` - True if the attribute has an "is" getter, false otherwise.

### ModelMBeanAttributeInfo

    public ModelMBeanAttributeInfo(java.lang.String name,
                                   java.lang.String type,
                                   java.lang.String description,
                                   boolean isReadable,
                                   boolean isWritable,
                                   boolean isIs,
                                   Descriptor descriptor)

  Constructs a ModelMBeanAttributeInfo object with a default descriptor.

Parameters:
  `name` - The name of the attribute
  `type` - The type or class name of the attribute
  `description` - A human readable description of the attribute.
  `isReadable` - True if the attribute has a getter method, false otherwise.
  `isWritable` - True if the attribute has a setter method, false otherwise.
  `isIs` - True if the attribute has an "is" getter, false otherwise.
  `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the Attribute. If it is null or invalid then a default desriptor will be created.

### ModelMBeanAttributeInfo

    public ModelMBeanAttributeInfo(ModelMBeanAttributeInfo attributeInfo)

  Constructs a new ModelMBeanAttributeInfo object from this ModelMBeanAttributeInfo Object. A default descriptor will be created.

Parameters:
  `attributeInfo` - the ModelMBeanAttributeInfo to be duplicated

Method Detail

### getDescriptor

    public Descriptor getDescriptor()

  Gets a copy of the associated Descriptor for the ModelMBeanAttributeInfo

  Specified by:
    `getDescriptor` in interface `DescriptorAccess`
  Returns:
    Descriptor associated with the ModelMBeanAttributeInfo object.

### setDescriptor

    public void setDescriptor(Descriptor descriptor)

  Sets associated Descriptor (full replace) for the ModelMBeanAttributeDescriptor. If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor. The Descriptor is validated before it is assigned. If the new Descriptor is invalid, then an IllegalArgumentException is thrown.

  Specified by:
    `setDescriptor` in interface `DescriptorAccess`
  Parameters:
    `descriptor` - - replaces the Descriptor associated with the ModelMBeanAttributeInfo

### clone

    public java.lang.Object clone()

  Creates and returns a new ModelMBeanAttributeInfo which is a duplicate of this ModelMBeanAttributeInfo.

  Overrides:
    `clone` in class `MBeanAttributeInfo`
  Throws:
    `RuntimeOperationsException` - for illegal value for field Names or field Values. If the descriptor construction fails for any reason, this exception will be thrown.

### toString

    public java.lang.String toString()

  Returns a human readable version of the ModelMBeanAttributeInfo instance

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD